Skip to main content
GET
/
live
/
{source}
/
resolve
Resolve a human name to provider id(s)
curl --request GET \
  --url https://api.hyperspell.com/live/{source}/resolve \
  --header 'Authorization: Bearer <token>'
{
  "kind": "<string>",
  "name": "<string>",
  "matches": [
    {
      "name": "<string>",
      "id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.

Path Parameters

source
enum<string>
required
Available options:
reddit,
notion,
slack,
google_calendar,
google_mail,
box,
dropbox,
github,
google_drive,
vault,
web_crawler,
trace,
microsoft_teams,
gmail_actions,
granola,
fathom,
fireflies,
linear,
hubspot,
salesforce,
coda,
lightfield

Query Parameters

kind
string
required

What to resolve, e.g. 'channel', 'project', 'user'.

name
string
required

The human name to resolve.

connection_id
string | null

Specific connection id.

Response

Successful Response

source
enum<string>
required
Available options:
reddit,
notion,
slack,
google_calendar,
google_mail,
box,
dropbox,
github,
google_drive,
vault,
web_crawler,
trace,
microsoft_teams,
gmail_actions,
granola,
fathom,
fireflies,
linear,
hubspot,
salesforce,
coda,
lightfield
kind
string
required
name
string
required
matches
ResolveMatchResponse · object[]
required